Subject: Re: [ANNOUNCEMENT] Test: {mingw64-{i686,x86_64}-,}gcc-11.1.0-0.1
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Wed, 12 May 2021 19:41:17 -0600
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-05-12 12:30, Thomas Wolff wrote:
> Am 12.05.2021 um 12:42 schrieb Jonathan Yong via Cygwin:
>> On 5/12/21 9:14 AM, Thomas Wolff wrote:
>>> Am 10.05.2021 um 21:13 schrieb Achim Gratz:
>>>> The native and mingw-w64 cross compilers have been updated for both
>>>> architectures to the latest upstream release version:
>>>>   gcc-11.1.0-0.1

>>> Are there any known problems with gcc 11? My program crashes if 
>>> compiled with gcc -O2; gcc -O1 works, gcc 10 also works.
Do you mean that building mintty with gcc 11 -O2 breaks mintty?

>>>>   mingw64-i686-gcc-11.1.0-0.1
>>>>   mingw64-x86_64-gcc-11.1.0-0.1
>>>>
>>>> This test release includes libgccjit as a separate package for the
>>>> native toolchain on both architectures.  Since Cygwin can't use ASLR any
>>>> nontrivial dynamic objects that get created in this way will likely need
>>>> to get rebased before they can be used (especially on 32bit). It is
>>>> unlikely that build systems recognize the need for doing that at the
>>>> moment.
>>>>
>>>> Please test these compilers with your packages and applications as
>>>> extensively as possible (especially if you are a Cygwin package
>>>> maintainer).  Unless problems are found that necessitate another round
>>>> of testing, the plan is to bootstrap the support libraries with the new
>>>> toolchain and do a non-test update in about two to four weeks.

>> Does stripping the optimized executable fix things?

> No

>> Are you also able to produce a minimal test case? 

> Hardly. Behaviour is totally erratic. If I let the stacktrace tell me where 
> it crashed and make the function empty, it happens somewhere else...
-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple